> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite user

> Invite a new user to your workspace. An email will be sent to the user with a link to join. Only admins can invite users. Authentication is required.



## OpenAPI

````yaml post /users/invite
openapi: 3.0.3
info:
  title: Productlane API
  version: 1.0.0
servers:
  - url: https://productlane.com/api/v1
security: []
paths:
  /users/invite:
    post:
      tags:
        - users
      summary: Invite user
      description: >-
        Invite a new user to your workspace. An email will be sent to the user
        with a link to join. Only admins can invite users. Authentication is
        required.
      operationId: users-inviteMember
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                  maxLength: 254
                name:
                  type: string
                role:
                  type: string
                  enum:
                    - ADMIN
                    - USER
                    - VIEWER
              required:
                - email
                - name
                - role
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````